
#container {
    display: flex;
    flex-direction: column;
}

#panel {
    position: fixed;
    top: 20px;
    left: 20px;
}

#logo_small {
    display: block;
    background-color: var(--logo-color);
    padding: 6px;
    margin-bottom: 5px;
    width: 110px;
    height: 90px;
}

#logo_small svg {
    width: 120px;
    height: 100px;
    transition-duration: 5s;
    transition-property: fill;
    transition-timing-function: cubic-bezier(0.1, 0.7, 1, 0.1);
}

#logo_small svg:hover {
    fill: aqua;
    /*stroke: cornflowerblue;*/ /* = color of text and border of rect */
    font-weight: bold;
}

#name_container {
    display: flex;
    margin-left: 150px;
    margin-top: 10px;
    margin-bottom: 20px;
    flex-direction: row;
    align-items: baseline;
    font-size: 2.5em;
    font-weight: bold;
}

#cars_container {
    margin-left: 150px;
}

#year_block_below {
    display: none;
    flex-direction: row;
    flex-wrap: wrap;
    padding-left: 5px;
}

#year_block_below a {
    height: inherit;
    color: #ececec;
}

#year_block_left {
    display: flex;
    flex-direction: column;
}

#year_block_left a {
    height: 100%;
    color: #ececec;
}

.year_name {
    font-size: 0.9em;
    width: 4rem;
    height: 100%;
}

.year_name:hover {
    color: coral;
}

.year_accent {
    color: cornflowerblue;
    font-size: 0.9em;
    width: 4rem;
    height: 100%;
}

.car_block {
    display: flex;
    flex-direction: row;
    margin: 10px 0;
}

.image_block {
    display: flex;
    flex-direction: column;
    width: 384vh;
    overflow: hidden;
}

.img_car {
    display: flex;
    flex-direction: row;
    width: 672vh;
    position: relative;
    left: -280vh;
    top: 0;
}

.image a img {
    filter: blur(0);
    transition: filter 3s;
    max-width: 90vh;
    max-height: 80vh;
    margin: auto auto 0 auto;
}

.image a {
    display: block;
    margin: auto auto 0 auto;
}

.image {
    width: 96vh;
    height: 80vh;
    display: flex;
    overflow: hidden;
    transition: width 3s;
}

.image_sub {
    margin: 4px;
    font-size: 0.9em;
    font-style: italic;
}

@media (prefers-color-scheme: dark) {
    #year_block_left a, #year_block_below a {
        color: #555555;
    }
}

@media (orientation: portrait) {
    #year_block_below {
        display: flex;
    }

    #year_block_left {
        display: none;
    }
    #panel {
        position: relative;
    }
    #name_container {
        margin: 5px;
    }
    #cars_container {
        margin: 0;
    }
    .image {
        width: 100vw;
        height: 97vh;
    }
    .image a img {
        max-width: 95vw;
        max-height: 93vh;
    }
    .img_car {
        width: 900vw;
        left: -300vw;
    }
}